import * as Cesium from 'cesium';
import { CzmObject, CzmViewer } from '../../../core';
import { CzmModelPrimitive } from '../../CzmObjects';
import { CzmViewDistanceRangeControl } from '../../utils2';
export declare class CzmCzmModelPrimitive extends CzmObject<CzmModelPrimitive> {
    static readonly type: void;
    private _primitive?;
    setPrimitive(value: Cesium.Model | undefined): void;
    get primitive(): Cesium.Model | undefined;
    private _customShaderInstance?;
    private _gltf;
    get gltf(): any;
    set gltf(value: any);
    get gltfChanged(): import("vtxf-xe2/dist-node/xe2-base-utils").Listener<[any, any]>;
    private _czmViewVisibleDistanceRangeControl;
    get czmViewerVisibleDistanceRangeControl(): CzmViewDistanceRangeControl;
    get visibleAlpha(): number;
    get visibleAlphaChanged(): import("vtxf-xe2/dist-node/xe2-base-utils").Listener<[number, number]>;
    private _viewDistanceDebugBinding;
    private _sceneScaleFromPixelSize;
    get sceneScaleFromPixelSize(): import("vtxf-xe2/dist-node/xe2-base-utils").ReactiveVariable<number | undefined>;
    private _finalShowReact;
    get finalShow(): boolean;
    private _finalModelUriReact;
    get finalModelUriReact(): import("vtxf-xe2/dist-node/xe2-base-utils").ReactiveVariable<string | undefined>;
    private _finalSpecularEnvironmentMapsReact;
    get finalSpecularEnvironmentMapsReact(): import("vtxf-xe2/dist-node/xe2-base-utils").ReactiveVariable<string | undefined>;
    private _nativePrimitiveResetting;
    constructor(sceneObject: CzmModelPrimitive, czmViewer: CzmViewer);
    get ready(): boolean;
}
